RDKit: RDKit::RDTypeTag Namespace Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Namespaces | Functions | Variables
RDKit::RDTypeTag Namespace Reference

## Namespaces
namespace | detail

## Functions
template<class T>
boost::uint64_t | GetTag ()
template<>
boost::uint64_t | GetTag< double > ()
template<>
boost::uint64_t | GetTag< float > ()
template<>
boost::uint64_t | GetTag< int > ()
template<>
boost::uint64_t | GetTag< unsigned int > ()
template<>
boost::uint64_t | GetTag< bool > ()
template<>
boost::uint64_t | GetTag< std::string > ()
template<>
boost::uint64_t | GetTag< std::vector< double > > ()
template<>
boost::uint64_t | GetTag< std::vector< float > > ()
template<>
boost::uint64_t | GetTag< std::vector< int > > ()
template<>
boost::uint64_t | GetTag< std::vector< unsigned int > > ()
template<>
boost::uint64_t | GetTag< std::vector< std::string > > ()
template<>
boost::uint64_t | GetTag< std::any > ()
template<class T>
short | GetTag ()
template<>
short | GetTag< double > ()
template<>
short | GetTag< float > ()
template<>
short | GetTag< int > ()
template<>
short | GetTag< unsigned int > ()
template<>
short | GetTag< bool > ()
template<>
short | GetTag< std::string > ()
template<>
short | GetTag< std::vector< double > > ()
template<>
short | GetTag< std::vector< float > > ()
template<>
short | GetTag< std::vector< int > > ()
template<>
short | GetTag< std::vector< unsigned int > > ()
template<>
short | GetTag< std::vector< std::string > > ()
template<>
short | GetTag< std::any > ()

## Variables
static const boost::uint64_t | NaN = 0xfff7FFFFFFFFFFFF
static const boost::uint64_t | MaxDouble = 0xfff8000000000000
static const boost::uint64_t | DoubleTag = 0xfff8000000000000
static const boost::uint64_t | FloatTag = 0xfff9000000000000
static const boost::uint64_t | IntTag = 0xfffa000000000000
static const boost::uint64_t | UnsignedIntTag = 0xfffb000000000000
static const boost::uint64_t | BoolTag = 0xfffc000000000000
static const boost::uint64_t | PtrTag = 0xffff000000000000
static const boost::uint64_t | StringTag = 0xffff000000000001
static const boost::uint64_t | VecDoubleTag = 0xffff000000000002
static const boost::uint64_t | VecFloatTag = 0xffff000000000003
static const boost::uint64_t | VecIntTag = 0xffff000000000004
static const boost::uint64_t | VecUnsignedIntTag = 0xffff000000000005
static const boost::uint64_t | VecStringTag = 0xffff000000000006
static const boost::uint64_t | AnyTag = 0xffff000000000007
const short | EmptyTag = 0

## Function Documentation

## ◆ GetTag() [1/2]

template<class T>

boost::uint64_t RDKit::RDTypeTag::GetTag | ( |  | ) |
| inline

Definition at line 113 of file RDValue-doublemagic.h.

References AnyTag.

Referenced by GetTag< std::vector< double > >(), GetTag< std::vector< float > >(), GetTag< std::vector< int > >(), GetTag< std::vector< std::string > >(), GetTag< std::vector< unsigned int > >(), and RDKit::rdvalue_is().

## ◆ GetTag() [2/2]

template<class T>

short RDKit::RDTypeTag::GetTag | ( |  | ) |
| inline

Definition at line 97 of file RDValue-taggedunion.h.

References AnyTag.

## ◆ GetTag< bool >() [1/2]

template<>

boost::uint64_t RDKit::RDTypeTag::GetTag< bool > | ( |  | ) |
| inline

Definition at line 133 of file RDValue-doublemagic.h.

References BoolTag.

## ◆ GetTag< bool >() [2/2]

template<>

short RDKit::RDTypeTag::GetTag< bool > | ( |  | ) |
| inline

Definition at line 117 of file RDValue-taggedunion.h.

References BoolTag.

## ◆ GetTag< double >() [1/2]

template<>

boost::uint64_t RDKit::RDTypeTag::GetTag< double > | ( |  | ) |
| inline

Definition at line 117 of file RDValue-doublemagic.h.

References MaxDouble.

## ◆ GetTag< double >() [2/2]

template<>

short RDKit::RDTypeTag::GetTag< double > | ( |  | ) |
| inline

Definition at line 101 of file RDValue-taggedunion.h.

References DoubleTag.

## ◆ GetTag< float >() [1/2]

template<>

boost::uint64_t RDKit::RDTypeTag::GetTag< float > | ( |  | ) |
| inline

Definition at line 121 of file RDValue-doublemagic.h.

References FloatTag.

## ◆ GetTag< float >() [2/2]

template<>

short RDKit::RDTypeTag::GetTag< float > | ( |  | ) |
| inline

Definition at line 105 of file RDValue-taggedunion.h.

References FloatTag.

## ◆ GetTag< int >() [1/2]

template<>

boost::uint64_t RDKit::RDTypeTag::GetTag< int > | ( |  | ) |
| inline

Definition at line 125 of file RDValue-doublemagic.h.

References IntTag.

## ◆ GetTag< int >() [2/2]

template<>

short RDKit::RDTypeTag::GetTag< int > | ( |  | ) |
| inline

Definition at line 109 of file RDValue-taggedunion.h.

References IntTag.

## ◆ GetTag< std::any >() [1/2]

template<>

boost::uint64_t RDKit::RDTypeTag::GetTag< std::any > | ( |  | ) |
| inline

Definition at line 161 of file RDValue-doublemagic.h.

References AnyTag.

Referenced by RDKit::rdvalue_is< std::any >().

## ◆ GetTag< std::any >() [2/2]

template<>

short RDKit::RDTypeTag::GetTag< std::any > | ( |  | ) |
| inline

Definition at line 145 of file RDValue-taggedunion.h.

References AnyTag.

## ◆ GetTag< std::string >() [1/2]

template<>

boost::uint64_t RDKit::RDTypeTag::GetTag< std::string > | ( |  | ) |
| inline

Definition at line 137 of file RDValue-doublemagic.h.

References StringTag.

## ◆ GetTag< std::string >() [2/2]

template<>

short RDKit::RDTypeTag::GetTag< std::string > | ( |  | ) |
| inline

Definition at line 121 of file RDValue-taggedunion.h.

References StringTag.

## ◆ GetTag< std::vector< double > >() [1/2]

template<>

boost::uint64_t RDKit::RDTypeTag::GetTag< std::vector< double > > | ( |  | ) |
| inline

Definition at line 141 of file RDValue-doublemagic.h.

References GetTag(), and VecDoubleTag.

## ◆ GetTag< std::vector< double > >() [2/2]

template<>

short RDKit::RDTypeTag::GetTag< std::vector< double > > | ( |  | ) |
| inline

Definition at line 125 of file RDValue-taggedunion.h.

References GetTag(), and VecDoubleTag.

## ◆ GetTag< std::vector< float > >() [1/2]

template<>

boost::uint64_t RDKit::RDTypeTag::GetTag< std::vector< float > > | ( |  | ) |
| inline

Definition at line 145 of file RDValue-doublemagic.h.

References GetTag(), and VecFloatTag.

## ◆ GetTag< std::vector< float > >() [2/2]

template<>

short RDKit::RDTypeTag::GetTag< std::vector< float > > | ( |  | ) |
| inline

Definition at line 129 of file RDValue-taggedunion.h.

References GetTag(), and VecFloatTag.

## ◆ GetTag< std::vector< int > >() [1/2]

template<>

boost::uint64_t RDKit::RDTypeTag::GetTag< std::vector< int > > | ( |  | ) |
| inline

Definition at line 149 of file RDValue-doublemagic.h.

References GetTag(), and VecIntTag.

## ◆ GetTag< std::vector< int > >() [2/2]

template<>

short RDKit::RDTypeTag::GetTag< std::vector< int > > | ( |  | ) |
| inline

Definition at line 133 of file RDValue-taggedunion.h.

References GetTag(), and VecIntTag.

## ◆ GetTag< std::vector< std::string > >() [1/2]

template<>

boost::uint64_t RDKit::RDTypeTag::GetTag< std::vector< std::string > > | ( |  | ) |
| inline

Definition at line 157 of file RDValue-doublemagic.h.

References GetTag(), and VecStringTag.

## ◆ GetTag< std::vector< std::string > >() [2/2]

template<>

short RDKit::RDTypeTag::GetTag< std::vector< std::string > > | ( |  | ) |
| inline

Definition at line 141 of file RDValue-taggedunion.h.

References GetTag(), and VecStringTag.

## ◆ GetTag< std::vector< unsigned int > >() [1/2]

template<>

boost::uint64_t RDKit::RDTypeTag::GetTag< std::vector< unsigned int > > | ( |  | ) |
| inline

Definition at line 153 of file RDValue-doublemagic.h.

References GetTag(), and VecUnsignedIntTag.

## ◆ GetTag< std::vector< unsigned int > >() [2/2]

template<>

short RDKit::RDTypeTag::GetTag< std::vector< unsigned int > > | ( |  | ) |
| inline

Definition at line 137 of file RDValue-taggedunion.h.

References GetTag(), and VecUnsignedIntTag.

## ◆ GetTag< unsigned int >() [1/2]

template<>

boost::uint64_t RDKit::RDTypeTag::GetTag< unsigned int > | ( |  | ) |
| inline

Definition at line 129 of file RDValue-doublemagic.h.

References UnsignedIntTag.

## ◆ GetTag< unsigned int >() [2/2]

template<>

short RDKit::RDTypeTag::GetTag< unsigned int > | ( |  | ) |
| inline

Definition at line 113 of file RDValue-taggedunion.h.

References UnsignedIntTag.

## Variable Documentation

## ◆ AnyTag

const short RDKit::RDTypeTag::AnyTag = 0xffff000000000007
| static

Definition at line 109 of file RDValue-doublemagic.h.

Referenced by RDKit::copy_rdvalue(), RDKit::RDValue::destroy(), GetTag(), GetTag< std::any >(), RDKit::RDValue::RDValue(), RDKit::RDValue::RDValue(), RDKit::RDValue::RDValue(), RDKit::rdvalue_is(), and RDKit::rdvalue_tostring().

## ◆ BoolTag

const short RDKit::RDTypeTag::BoolTag = 0xfffc000000000000
| static

Definition at line 99 of file RDValue-doublemagic.h.

Referenced by GetTag< bool >(), RDKit::RDValue::RDValue(), and RDKit::rdvalue_tostring().

## ◆ DoubleTag

const short RDKit::RDTypeTag::DoubleTag = 0xfff8000000000000
| static

Definition at line 95 of file RDValue-doublemagic.h.

Referenced by RDKit::RDValue::getTag(), GetTag< double >(), and RDKit::rdvalue_tostring().

## ◆ EmptyTag

const short RDKit::RDTypeTag::EmptyTag = 0

Definition at line 83 of file RDValue-taggedunion.h.

Referenced by RDKit::RDValue::destroy(), RDKit::PairHolder::PairHolder(), and RDKit::PairHolder::PairHolder().

## ◆ FloatTag

const short RDKit::RDTypeTag::FloatTag = 0xfff9000000000000
| static

Definition at line 96 of file RDValue-doublemagic.h.

Referenced by GetTag< float >(), RDKit::RDValue::RDValue(), and RDKit::rdvalue_tostring().

## ◆ IntTag

const short RDKit::RDTypeTag::IntTag = 0xfffa000000000000
| static

Definition at line 97 of file RDValue-doublemagic.h.

Referenced by GetTag< int >(), RDKit::RDValue::RDValue(), and RDKit::rdvalue_tostring().

## ◆ MaxDouble

const boost::uint64_t RDKit::RDTypeTag::MaxDouble = 0xfff8000000000000
| static

Definition at line 94 of file RDValue-doublemagic.h.

Referenced by RDKit::RDValue::getTag(), GetTag< double >(), and RDKit::rdvalue_is< double >().

## ◆ NaN

const boost::uint64_t RDKit::RDTypeTag::NaN = 0xfff7FFFFFFFFFFFF
| static

Definition at line 93 of file RDValue-doublemagic.h.

Referenced by RDKit::RDValue::getTag(), RDKit::RDValue::RDValue(), and RDKit::rdvalue_is< double >().

## ◆ PtrTag

const boost::uint64_t RDKit::RDTypeTag::PtrTag = 0xffff000000000000
| static

Definition at line 102 of file RDValue-doublemagic.h.

Referenced by RDKit::RDValue::getTag().

## ◆ StringTag

const short RDKit::RDTypeTag::StringTag = 0xffff000000000001
| static

Definition at line 103 of file RDValue-doublemagic.h.

Referenced by RDKit::copy_rdvalue(), RDKit::RDValue::destroy(), RDKit::from_rdany(), RDKit::from_rdvalue(), GetTag< std::string >(), RDKit::RDValue::RDValue(), and RDKit::rdvalue_tostring().

## ◆ UnsignedIntTag

const short RDKit::RDTypeTag::UnsignedIntTag = 0xfffb000000000000
| static

Definition at line 98 of file RDValue-doublemagic.h.

Referenced by GetTag< unsigned int >(), RDKit::RDValue::RDValue(), and RDKit::rdvalue_tostring().

## ◆ VecDoubleTag

const short RDKit::RDTypeTag::VecDoubleTag = 0xffff000000000002
| static

Definition at line 104 of file RDValue-doublemagic.h.

Referenced by RDKit::copy_rdvalue(), RDKit::RDValue::destroy(), GetTag< std::vector< double > >(), RDKit::RDValue::RDValue(), and RDKit::rdvalue_tostring().

## ◆ VecFloatTag

const short RDKit::RDTypeTag::VecFloatTag = 0xffff000000000003
| static

Definition at line 105 of file RDValue-doublemagic.h.

Referenced by RDKit::copy_rdvalue(), RDKit::RDValue::destroy(), GetTag< std::vector< float > >(), RDKit::RDValue::RDValue(), and RDKit::rdvalue_tostring().

## ◆ VecIntTag

const short RDKit::RDTypeTag::VecIntTag = 0xffff000000000004
| static

Definition at line 106 of file RDValue-doublemagic.h.

Referenced by RDKit::copy_rdvalue(), RDKit::RDValue::destroy(), GetTag< std::vector< int > >(), RDKit::RDValue::RDValue(), RDKit::RDValue::RDValue(), and RDKit::rdvalue_tostring().

## ◆ VecStringTag

const short RDKit::RDTypeTag::VecStringTag = 0xffff000000000006
| static

Definition at line 108 of file RDValue-doublemagic.h.

Referenced by RDKit::copy_rdvalue(), RDKit::RDValue::destroy(), GetTag< std::vector< std::string > >(), RDKit::RDValue::RDValue(), and RDKit::rdvalue_tostring().

## ◆ VecUnsignedIntTag

const short RDKit::RDTypeTag::VecUnsignedIntTag = 0xffff000000000005
| static

Definition at line 107 of file RDValue-doublemagic.h.

Referenced by RDKit::copy_rdvalue(), RDKit::RDValue::destroy(), GetTag< std::vector< unsigned int > >(), RDKit::RDValue::RDValue(), and RDKit::rdvalue_tostring().